/*
 * ButtonGPIO.h
 *
 *      Author: Cesar_root
 */

#ifndef ButtonGPIO_H_
#define ButtonGPIO_H_

/*
 *
 *
 *
 * Pin used by button
 *
 */

#define PINBUTTON 9


/*
 *
 *
 *
 * Set if antibouncing must be controlled by software
 *
 */

#define SW_BOUNCE TRUE

/** Init GPIO and enable IRQ
 *
 * @param void

 * @return void
 */

void ButtonGPIO_vInit(void);

/** Override IRQ_handler
 *
 * @param void
 *
 * @return void
 */

void EINT3_IRQHandler(void);


#endif /* ButtonGPIO_H_ */
