/*
 * UartScanf.h
 *
 *  Created on: 31 de dic. de 2016
 *      Author: Cesar_root
 */

#ifndef UARTSCANF_H_
#define UARTSCANF_H_


/** Clear Uart1 or Uart3
 *
 * @param iPort   Uart to be cleared
 *
 * @return void
 */
void UartScanf_UARTClear(uint_fast8_t iPort);

/** Read characters sended by device to LPC1769 through any UART
 *
 * @param iPort       Uart to be read
 * @param iTimeOut    Time to wait listening
 * @param sResponse	  data read
 *
 * @return 0 in case of error, otherwise returns the size of the buffer
 */

uint_fast8_t UartScanf_iScanSerial(uint_fast8_t iPort,uint32_t iTimeOut,char *sResponse);

#endif /* UARTSCANF_H_ */
