
/*
 * utils.h
 *
 *  Created on: Feb 15, 2016
 *      Author: jordi
 *
 *      Modified by César López
 */

#ifndef UTILS_H_
#define UTILS_H_

#include <stdint.h>


/**
 * Delay (using Busy waiting method)
 *
 * @param ms	time to wait in miliseconds
 *
 * @returns void
 */

void Utils_delayMs(uint32_t ms);

/**
 * Read the serial number of the device
 *
 * @param *uRx[5] Array to get the ID of the LPC1769.
 *
 * @returns void
 */

void Utils_ReadSerialNumber(unsigned *ptr[5]);

#endif /* UTILS_H_ */
