/*
 * Pulse.h
 *
 *  Created on: 23 de dic. de 2016
 *      Author: Cesar_root
 */

#ifndef PULSE_H_
#define PULSE_H_


/*
 *
 *
 *  Select gpio  for shutdown signal in pulsometer
 *
 */

#define PULSE_SHTDWN  8



/*
 *
 *
 *
 *
 *
 *
 * Methods Prototypes
 *
 *
 *
 */


/** Configure GPIO p0[8] for Shutdown pin of the pulsometer
 *
 * @param void
 *
 * @return void
 */


void Pulse_vInit();


/** Power on or off the pulsometer
 *
 * @param bSet true means power on.
 *
 * @return void
 */


void Pulse_Activate(bool bSet);


#endif /* PULSE_H_ */
