/*
 * Config.h
 *
 *
 *      Author: Cesar López
 *
 */
//Declarations
#include "stdbool.h"





//Macros for tasks
#define configTYP_STACK_SIZE 1024


#define MILIS_TO_TICKS(ms) (ms/portTICK_RATE_MS)
#define PERIOD_TIME 1000


/* Priorities at which the tasks are created. */
#define TaskNormMode		( tskIDLE_PRIORITY + 1 )
//#define	TaskFailMode		( tskIDLE_PRIORITY + 1 )


/* The rate at which data is sent to the queue, specified in milliseconds. */
#define mainQUEUE_SEND_FREQUENCY_MS			( 100 / portTICK_RATE_MS )


/* The number of items the queue can hold.  This is 1 as the receive task
will remove items as they are added, meaning the send task should always find
the queue empty. */
#define mainQUEUE_LENGTH					( 1 )



