/**
 *
 * Created by: César López
 * Last Update:03/01/2017
 */
#ifndef LED_H_
#define LED_H_

#include <stdbool.h>

/*
 *
 *
 * Set gpio number for LED
 */

#define LED_PAD 7


/** Init GPIO for LED
 *
 * @param void
 *
 * @return void
 */

void Led_init(void);


/** Set led state high or low.
 *
 * @param bool   true means HIGH and false means LOW
 *
 * @return void
 */

void Led_SetOrClr( bool bLevel);

#endif /* LED_H_ */
